Skip to main content
POST
/
v1
/
api
/
tenant
/
register-tenant
Register tenant to Upsolve
curl --request POST \
  --url 'https://api.upsolve.ai/v1/api/tenant/register-tenant?apiKey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apiKey": "<string>",
  "displayName": "<string>",
  "prefilters": {},
  "organizationId": "<string>",
  "user": "<string>",
  "key": "<string>",
  "schemaPreFilter": "<string>",
  "tenantEditingPermissions": {
    "addChart": true,
    "addFilter": true,
    "createChart": true,
    "createChartSQL": true,
    "editCharts": true,
    "removeChart": true,
    "disableTabs": true,
    "aiCharts": true,
    "editMarketplace": true,
    "readOnly": true,
    "aiInsight": true,
    "drillDown": true,
    "editDashboardName": true
  },
  "connectionOverride": {
    "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "customMetadata": {},
  "expiration": "<string>"
}
'
{
  "status": "success",
  "data": {
    "message": "Tenant Google Inc registered.",
    "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjp7InBhcmVudE9yZ0lkIjoiYWJkZTZmMjQtYWYwZi00Zjg3LWI4NzEtNzk0NGIyYzhjM2IzIiwiZGlzcGxheU5hbWUiOiJEZW1vIChBZG1pbikiLCJwYXlsb2FkIjp7fX0sImlhdCI6MTcwOTI2NTcyOSwiZXhwIjoxNzA5MjY5MzI5fQ.nfMwGbPe7zwCwlky079PVjA-ox0G2OtTuFo_0MXoLCE"
  }
}

Authorizations

apiKey
string
query
required

apiKey MUST be supplied within the request body instead of query

Body

application/json

POST /v1/api/tenant/register-tenant Request body

apiKey
string
required

Upsolve API key, generated in the Deploy tab of the Upsolve Hub.

Minimum string length: 1
Example:

"up_embed_************"

displayName
string
required

Display name for this user. This will appear in the Upsolve Hub.

Example:

"Google Inc"

prefilters
object
required

The columns to split tenants on, and their tenant-specific values

Example:
{
"company_id": "company-google",
"company_class": "tech"
}
organizationId
string

[Optional] The ID of the org the API key is being used with. Only needed if the API key is being used for an organization other than the org that generated it.

Example:

"do-not-use"

user
string

TODO

key
string

[Deprecated] Unique key to identify this tenant. Ideally something complex like a UUID.

Example:

"org_1234-abcd-5678-efgh"

schemaPreFilter
string

The schema to split tenants on

Example:

"customer_1"

tenantEditingPermissions
object

Permissions for tenant editing capabilities

connectionOverride
object

Optional connection ID override configuration

customMetadata
object

custom metadata of a tenant

Example:
{ "organisation": "organisation x" }
expiration
string

Expiration time of the token

Example:

"1h"

Response

POST /v1/api/tenant/register-tenant Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
{
"message": "Tenant Google Inc registered.",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjp7InBhcmVudE9yZ0lkIjoiYWJkZTZmMjQtYWYwZi00Zjg3LWI4NzEtNzk0NGIyYzhjM2IzIiwiZGlzcGxheU5hbWUiOiJEZW1vIChBZG1pbikiLCJwYXlsb2FkIjp7fX0sImlhdCI6MTcwOTI2NTcyOSwiZXhwIjoxNzA5MjY5MzI5fQ.nfMwGbPe7zwCwlky079PVjA-ox0G2OtTuFo_0MXoLCE"
}